Reject an Intent
post
/v1/governance/intents/reject
Rejects the governance intent identified by `intentId` by submitting an rejection transaction from the specified `fromAddress`.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
async: boolean
Default Value:
false -
fromAddress(required): string
Pattern:
^0x[a-fA-F0-9]{40}$ -
intentId(required): string
Pattern:
^0x[a-fA-F0-9]{64}$ -
reason(required): string
Minimum Length:
1
Example:
{
"intentId":"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"reason":"Lorem",
"fromAddress":"0xfe3b557e8fb62b89f4916b721be55ceb828dbd73",
"async":false
}Security
-
bearerAuth: http
Type:
http
Response
200 Response
Transaction receipt confirmed
202 Response
Transaction submitted or receipt not yet available
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
401 Response
Unauthorized.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
403 Response
The authenticated user is not authorized to access the requested wallet or operation.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.